/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
/* This is an example for iswpunct(wint_t).  This function will return a
   non-zero value if the parameter is x punctuation character.
*/
#include <wctype.h>
#include <wchar.h>

int main() { 
    wint_t wc;

    wc = '.';
    fputwc(wc, stdout);
    if(iswpunct(wc) != 0)
        printf(": is a punctuation mark.\n");
    else
        printf(": is not a punctuation mark.\n");
}

